Package org.bukkit.block.data.type

# Enum Class Stairs.Shape

java.lang.Object
java.lang.Enum<Stairs.Shape>
org.bukkit.block.data.type.Stairs.Shape

All Implemented Interfaces:
  `Serializable`, `Comparable<Stairs.Shape>`, `Constable`

Enclosing interface:
  Stairs

public static enum Stairs.Shape extends Enum<Stairs.Shape>
The shape of a stair block - used for constructing corners.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INNER_LEFT`
Inner corner stair block with higher left side.
`INNER_RIGHT`
Inner corner stair block with higher right side.
`OUTER_LEFT`
Outer corner stair block with higher left side.
`OUTER_RIGHT`
Outer corner stair block with higher right side.
`STRAIGHT`
Regular stair block.

## Method Summary

Modifier and Type
Method
Description
`static Stairs.Shape`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Stairs.Shape[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRAIGHT

public static final Stairs.Shape STRAIGHT
Regular stair block.

### INNER_LEFT

public static final Stairs.Shape INNER_LEFT
Inner corner stair block with higher left side.

### INNER_RIGHT

public static final Stairs.Shape INNER_RIGHT
Inner corner stair block with higher right side.

### OUTER_LEFT

public static final Stairs.Shape OUTER_LEFT
Outer corner stair block with higher left side.

### OUTER_RIGHT

public static final Stairs.Shape OUTER_RIGHT
Outer corner stair block with higher right side.

## Method Details

### values

public static Stairs.Shape[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Stairs.Shape valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null